from kuro.config import Config as GeneralConfig


class Config(GeneralConfig):
    """
    Kuro QTile configuration overrides for Meconopsis
    """
    config_name = "Meconopsis"

    # Thermal indicator variables
    thermal_sensor = "Package id 0"
    thermal_chip = "coretemp-isa-0000"

    # Network variables
    wifi_interface = "wlp3s0"
    wired_interface = "enp4s0"

    # Volume widget variables
    volume_pulse_sinks = [
        # Analog jack
        "alsa_output.usb-CSCTEK_USB_Audio_and_HID_A34004801402-00.analog-stereo",
    ]
